                  /*********************************/
                  /*              NOTE             */
                  /*                               */
                  /* This sample code has been     */
                  /* provided by IBM.  It is not   */
                  /* warranted for any particular  */
                  /* use or purpose.               */
                  /*                               */
                  /* IBM releases this code into   */
                  /* the public domain.  You may   */
                  /* use it, modify it, or         */
                  /* incorporate it into other     */
                  /* products without restriction. */
                  /*********************************/
/* rfioe.h */
/* Include file for users of rfio functions (rfio.obj) */

/* This header file defines the rfio externals */

#ifndef FILE
#include <stdio.h>
#endif

/* Special error codes returned by RF_Open_File */

#define RF_BAD_CALL   9998
#define RF_FILE_NOT_FOUND ERROR_FILE_NOT_FOUND

/* Return codes that can be returned by RF_Get_Next_Keyword_In_...  */
#define RF0          0
#define RFOOS        1
#define RFEOF        2
#define RFERR        3
#define RFSYNTAX     4

/* Value types that can be returned by RF_Get_Next_Keyword_In_... */
#define RFLIST      13
#define RFSTRING     0

/* definition of the Response File Handle type */
typedef FILE * RFHANDLE;

/* definitions of the Response File Include Stack types */
struct rfis {
              RFHANDLE  rfis_rfh;
              char     *rfis_filename;
              unsigned int rfis_lineno;
              struct rfis *rfis_previous;
              struct rfis *rfis_next;
            };

typedef struct rfis RFIS;
typedef RFIS *RFISP;

/* DBCS enablement */
/* #define strrchr(a, b) mc_strrchr(a, b) */

/* Prototypes for the externalized RF/IO functions */

RFHANDLE RF_Open_File(char *filename, RFISP isp, int *rcp);
RFHANDLE RF_Close_File(RFHANDLE current_handle, RFISP isp);
RFISP RF_Create_Root_ISE(void);
char *RF_Get_Current_Filename(RFISP isp);
int RF_Get_Next_Kwd_In_File(RFHANDLE rfh, char **kw, char **val, int *type);
RFHANDLE RF_Get_Current_RFHANDLE(RFISP isp);
int RF_Get_Next_Kwd_In_List(char **start, char **kw, char **val, int *type);
int RF_Get_Next_Wanted_Kwd_In_File(RFHANDLE rfh, char **kwdlist, char **kw,
                                   char **val, int *type);

